Name: ac-archive
Version: 0.5.39
Release: 3
Group: Development/Libraries
License: GPL / new BSD License / other
Requires: autoconf
Conflicts: autoconf-archive
URL: http://ac-archive.sourceforge.net
Summary: autoconf extensions archive
Source: http://prdownloads.sf.net/%{name}/%{name}-%{version}.tar.gz
#Patch1: ac-archive-0.5.32-cfg-perl.patch
#Patch2: ac-archive-0.5.39-mk-docdir.patch
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
#Buildrequires: automake15
Requires: automake

%description 
The Autoconf Macro Archive provides documented and tested
macros that are useful to many software writers using the autoconf
tool, but too specific to be included into autoconf itself.
The `acinclude' script can search the macro subdirectories and
create an acinclude.m4 from them.

%prep

%setup -q
#%patch1 -p1 -b .perl5
#%patch2 -p1 -b .mkdirs

%build
%{configure}
#make AUTOMAKE=automake-1.5 ACLOCAL=aclocal-1.5 all

%install
rm -rf %{buildroot}
make install-acinclude install-man DESTDIR=%{buildroot}
rm %{buildroot}%{_datadir}/aclocal/*/README
#rm -r %{buildroot}%{_docdir}/ac-archive
#rm %{buildroot}%{_datadir}/omf/ac-archive/ac-archive-doc.omf

%clean
rm -rf %buildroot
rm -rf `basename %SOURCE .tar.gz`

#%post
# [ -x /usr/bin/scrollkeeper-update ] && /usr/bin/scrollkeeper-update
#%postun
# [ -x /usr/bin/scrollkeeper-update ] && /usr/bin/scrollkeeper-update

%files 
%defattr(-,root,root)
%doc README ChangeLog ac-archive.htm
%_datadir/aclocal
%_bindir/acinclude
%_mandir/*/*

%changelog
* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 19 2003 Jens Petersen <petersen@redhat.com> - 0.5.39-2
- fix aclocal datadir dirs ownership (#74007)

* Thu Feb  6 2003 Jens Petersen <petersen@redhat.com> - 0.5.39-1
- update to 0.5.39
- perl patch no longer needed
- require automake
- remove duplicated doc files

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Elliot Lee <sopwith@redhat.com> 0.5.36-2
- Remove unpackaged files

* Wed Jul 24 2002 Jens Petersen <petersen@redhat.com> 0.5.36-1
- 0.5.36

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.5.3.4-3
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 0.5.34-2
- automated rebuild

* Mon Feb 25 2002 Jens Petersen <petersen@redhat.com> 0.5.34-1
- update to 0.5.34

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 0.5.32-2
- automated rebuild

* Fri Dec 21 2001 Jens Petersen <petersen@redhat.com> 0.5.32-1
- spec file from project on sf.net
- Copyright -> License
- noarch
- only make what was acinclude package
- simplify description
- README ChangeLog ac-archive.htm as docs
